#!/usr/bin/env python

"""
sysnopsis:
    Convert Yaml file to JSON file.  Write to stdout.
usage:
    yaml_file_2_json_file.py <in_file_path>
example:
    yaml_file_2_json_file.py my_yaml_file.yaml
"""


import sys
import yaml
import json


def convert(path):
    with open(path, 'r') as infile:
        data = yaml.load(infile, yaml.SafeLoader)
        str_data = json.dumps(data, indent=2)
        print(str_data)


def main():
    args = sys.argv[1:]
    if len(args) != 1:
        sys.exit(__doc__)
    path = args[0]
    convert(path)


if __name__ == '__main__':
    main()
